Name:		ultrastar-deluxe
Version:	20150302
Release:	5.20
Summary:	Open source karaoke game

Group:		Amusements/Games/Other
License:	GPL-2.0
URL:		http://ultrastardx.sourceforge.net/
Source0:	usdx-%{version}.tar.gz
Source1:    ultrastardx.desktop
Source2:    ultrastardx.svg
Source99:   ultrastar-deluxe-rpmlintrc
Patch1:     usdx.patch

BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	fpc
BuildRequires:  pkgconfig(libpng12)
BuildRequires:  pcre-devel
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  sqlite3-devel
%if 0%{?suse_version} > 1320
BuildRequires:  pkgconfig(lua-5.2)
%else
BuildRequires:  lua-devel < 5.3
%endif

%if 0%{?suse_version}
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  pkgconfig(libprojectM) >= 0.98
%else
BuildRequires:  ffmpeg-compat-devel
BuildRequires:  libprojectM-devel >= 0.98
%endif
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  fdupes
BuildRequires:  dos2unix
#Requires:	

%description
UltraStar Deluxe (USDX) is a free and open source karaoke game.  It allows up to six players to sing along with music using microphones in order to score points, depending on the pitch of the voice and the rhythm of singing.

%prep
%setup -q -n usdx-master
%patch1 -p1

%build
bash -x autogen.sh
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
%if 0%{?suse_version} > 1110
%{__install} -D -m 0644 %{S:1} %{buildroot}%{_datadir}/applications/ultrastardx.desktop
%endif
%{__install} -D -m 0644 %{S:2} %{buildroot}%{_datadir}/pixmaps/ultrastardx.svg
%fdupes -s %{buildroot}
dos2unix %{buildroot}%{_datadir}/ultrastardx/plugins/hooks.txt

%files
%defattr(-,root,root)
%dir %{_datadir}/ultrastardx
%dir %{_datadir}/ultrastardx/fonts
%dir %{_datadir}/ultrastardx/languages
%dir %{_datadir}/ultrastardx/plugins
%dir %{_datadir}/ultrastardx/resources
%dir %{_datadir}/ultrastardx/sounds
%dir %{_datadir}/ultrastardx/themes
%{_bindir}/ultrastardx
%{_datadir}/ultrastardx/COPYING.txt
%{_datadir}/ultrastardx/fonts/*
%{_datadir}/ultrastardx/languages/*
%{_datadir}/ultrastardx/plugins/*
%{_datadir}/ultrastardx/resources/*
%{_datadir}/ultrastardx/sounds/*
%{_datadir}/ultrastardx/themes/*
%if 0%{?suse_version} > 1110
%{_datadir}/applications/ultrastardx.desktop
%endif
%{_datadir}/pixmaps/ultrastardx.svg


%changelog
* Fri Mar  6 2015 p.seiler@linuxmail.org
- initial commit
